// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OWF/Content.subproj/OWObjectStream.h,v 1.7 2000/01/19 23:36:00 kc Exp $

#import "OWAbstractObjectStream.h"

@class NSConditionLock, NSLock, NSMutableArray, NSRecursiveLock;

@interface OWObjectStream : OWAbstractObjectStream
{
    NSMutableArray *readObjects;
    NSRecursiveLock *readObjectsLock;
    BOOL endOfReadObjects;
    
    NSMutableArray *writeObjects;
    NSConditionLock *writeObjectsLock;
    BOOL endOfWriteObjects;

    NSLock *endOfDataLock;
}

@end
