// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OWF/Content.subproj/OWContentContainer.h,v 1.5 2000/01/19 23:35:58 kc Exp $

#import "OWAbstractContent.h"

@interface OWContentContainer : OWAbstractContent
{
    id <NSObject> content;
    OWContentType *contentType;
}

+ (OWContentContainer *)containerWithContent:(id <NSObject>)someContent contentType:(OWContentType *)contentType;

- initWithContent:(id <NSObject>)someContent contentType:(OWContentType *)aContentType;
- (id <NSObject>)content;

@end
