// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OWF/Content.subproj/OWStream.h,v 1.6 2000/01/19 23:36:01 kc Exp $

#import "OWAbstractContent.h"

@class OWContentType, OWCursor;

@interface OWStream : OWAbstractContent
{
    OWContentType *nonretainedContentType;
}

- (id)newCursor;

- (void)setContentType:(OWContentType *)aType;
- (void)setContentTypeString:(NSString *)aString;

- (void)dataEnd;
- (void)dataAbort;

- (void)waitForDataEnd;
- (BOOL)endOfData;

@end
