// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OWF/Content.subproj/OWTimeStamp.h,v 1.5 2000/01/19 23:36:01 kc Exp $

#import "OWAbstractContent.h"

@class NSDate;
@class OWContentCache, OWContentType;

#import "OWAddressProtocol.h"

@interface OWTimeStamp : OWAbstractContent
{
    NSDate *date;
    OWContentType *type;
}

+ (OWContentType *)lastChangedContentType;

+ (OWTimeStamp *)cacheDate:(NSDate *)aDate forAddress:(id <OWAddress>)anAddress;
+ (NSDate *)dateForContentCache:(OWContentCache *)contentCache;
+ (NSDate *)dateForAddress:(id <OWAddress>)address;

- (NSDate *)date;

@end

